Bug 7430 - s4 vampire fails on solaris10
s4 vampire fails on solaris10
Status: RESOLVED INVALID
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
x64 Solaris
: P3 normal
: ---
Assigned To: Jelmer Vernooij
samba4-qa@samba.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-14 17:25 UTC by Bernd Markgraf
Modified: 2013-02-18 13:30 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Markgraf 2010-05-14 17:25:28 UTC
the reason why net vampire failed on one of my solaris hosts seems to be that the default python 2.4.6 that comes with solaris10 does not work correctly. after I built python 2.6.2 on that machine and rebuilt s4 I was able to vampire the domain. once that succeeded I reverted to the build using python 2.4.6 and it still seems to work as expected (changes get replicated back and forth ok).
seems like net vampire either needs python >2.4.6 or that the sun provided python build is broken.
Comment 1 Bernd Markgraf 2010-05-14 17:40:18 UTC
here's the error I get with python 2.4.6 trying to vampire the domain:
libnet_BecomeDC() failed - NT code 0xc00020ee
Traceback (most recent call last):
  File
"/opt/samba/lib/python2.4/site-packages/samba/netcmd/__init__.py", line
99, in _run
    return self.run(*args, **kwargs)
  File "/opt/samba/lib/python2.4/site-packages/samba/netcmd/vampire.py",
line 51, in run
    (domain_name, domain_sid) = net.vampire(domain=domain,
target_dir=target_dir)
RuntimeError: NT code 0xc00020ee
Comment 2 Matthieu Patou 2010-05-14 17:44:42 UTC
Well as I see it we have a couple of bugs here.
First we have to see if we still support python 2.4.6 (the waf configure checks for 2.4.2), if not then a change is needed to "block" user from building something that won't work.
If we should support it then we have to understand why it fails.
In both case I suppose that if net vampire fails for some reason we should do the way back to remove the newly DCs.
Comment 3 Bernd Markgraf 2010-05-15 01:58:43 UTC
(In reply to comment #2)
> Well as I see it we have a couple of bugs here.
> First we have to see if we still support python 2.4.6 (the waf configure checks
> for 2.4.2), if not then a change is needed to "block" user from building
> something that won't work.
so far net vampire is the only thing I found that doesn't work with that python version. even if I use that version after the vampire with a newer python, the second DC works fine.

> If we should support it then we have to understand why it fails.
I can easily reproduce that. just let me know what data we need.

> In both case I suppose that if net vampire fails for some reason we should do
> the way back to remove the newly DCs.
that would help very much. one would expect the master to rollback the changes in case of a failure.
Comment 4 Matthias Dieter Wallnöfer 2010-05-15 02:25:48 UTC
We should support Python 2.4 (only Python <= 2.3 support has been dropped some months ago).

I add Jelmer and hope that he might have a clue.
Comment 5 Stefan Metzmacher 2010-05-15 02:57:55 UTC
This has nothing to do with python versions. We somewhere hit
WERR_DS_INTERNAL_FAILURE»·······W_ERROR(0x000020EE) in our code.

I guess somewhere in dsdb/repl/replicated_objects.c.

Comment 6 Matthieu Patou 2010-05-15 04:24:37 UTC
(In reply to comment #5)
> This has nothing to do with python versions. We somewhere hit
> WERR_DS_INTERNAL_FAILURE»·······W_ERROR(0x000020EE) in our code.
> 
> I guess somewhere in dsdb/repl/replicated_objects.c.
> 

But how do you explain that he can reliably reproduce this when using python 2.4.6 and when he installed python 2.6.x it was ok ?
Comment 7 Matthias Dieter Wallnöfer 2010-05-28 02:53:31 UTC
Any news?
Comment 8 Matthias Dieter Wallnöfer 2010-06-30 02:26:40 UTC
Is this still failing? It could have been fixed in the meantime. Otherwise I close this bug.
Comment 9 Matthias Dieter Wallnöfer 2010-07-03 03:24:36 UTC
Closing as "INVALID" for now. We can reopen it if someone still can reproduce it or has an idea how to fix it.